Name:	 qt5-qtstyleplugins
Summary: Classic Qt widget styles
Version: 5.0.0
Release: %mkrel 8
License: LGPLv2 or GPLv2
URL:	 https://github.com/qtproject/qtstyleplugins
Source0: qtstyleplugins-master.zip
Patch0:  qgtkstyle.patch
Group: Graphical desktop/Other
BuildRequires: lib64qt5themesupport-static-devel
BuildRequires: lib64qt5core-devel

%description
%{summary}, including cleanlooks, motif, plastique, qgtk.


%prep
%setup -qn qtstyleplugins-master
%apply_patches

%build
qmake PREFIX='/usr' \
QMAKE_CFLAGS_RELEASE="${CFLAGS}" \
QMAKE_CXXFLAGS_RELEASE="${CXXFLAGS}"

make

%install
%make_install INSTALL_ROOT=%{buildroot}


rm -rf %buildroot/%{_libdir}/cmake/Qt5Gui/Qt5Gui_QGtk2ThemePlugin.cmake
rm -rf %buildroot/%{_libdir}/cmake/Qt5Widgets/Qt5Widgets_QBB10StylePlugin.cmake
rm -rf %buildroot/%{_libdir}/cmake/Qt5Widgets/Qt5Widgets_QCleanlooksStylePlugin.cmake
rm -rf %buildroot/%{_libdir}/cmake/Qt5Widgets/Qt5Widgets_QGtk2StylePlugin.cmake
rm -rf %buildroot/%{_libdir}/cmake/Qt5Widgets/Qt5Widgets_QMotifStylePlugin.cmake
rm -rf %buildroot/%{_libdir}/cmake/Qt5Widgets/Qt5Widgets_QPlastiqueStylePlugin.cmake

%files
%{_libdir}/qt5/plugins/platformthemes/libqgtk2.so
%{_libdir}/qt5/plugins/styles/libbb10styleplugin.so
%{_libdir}/qt5/plugins/styles/libqcleanlooksstyle.so
%{_libdir}/qt5/plugins/styles/libqgtk2style.so
%{_libdir}/qt5/plugins/styles/libqmotifstyle.so
%{_libdir}/qt5/plugins/styles/libqplastiquestyle.so

%changelog
* Tue Sep 20 2022 tex - 5.0.0-8pclos2022
- rebuild against updates

* Sun Nov 22 2020 tex - 5.0.0-7pclos2020
- rebuild against updates

* Sat Sep 12 2020 tex - 5.0.0-6pclos2020
- rebuild against updates

* Mon Jun 15 2020 tex - 5.0.0-5pclos2020
- rebuild

* Mon Feb 10 2020 tex - 5.0.0-4pclos2020
- rebuild against updates

* Thu Dec 05 2019 tex - 5.0.0-3pclos2019
- rebuild against updates

* Tue Oct 08 2019 tex - 5.0.0-2pclos2019
- rebuild against updates

* Fri Oct 12 2018 tex 5.0.0-1pclos2018
- new
